#
# DATABRICKS CONFIDENTIAL & PROPRIETARY
# __________________
#
# Copyright 2023-present Databricks, Inc.
# All Rights Reserved.
#
# NOTICE:  All information contained herein is, and remains the property of Databricks, Inc.
# and its suppliers, if any.  The intellectual and technical concepts contained herein are
# proprietary to Databricks, Inc. and its suppliers and may be covered by U.S. and foreign Patents,
# patents in process, and are protected by trade secret and/or copyright law. Dissemination, use,
# or reproduction of this information is strictly forbidden unless prior written permission is
# obtained from Databricks, Inc.
#
# If you view or obtain a copy of this information and believe Databricks, Inc. may not have
# intended it to be made available, please promptly report it to Databricks Legal Department
# @ legal@databricks.com.
#
"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file

DATABRICKS CONFIDENTIAL & PROPRIETARY
__________________

Copyright 2023-present Databricks, Inc.
All Rights Reserved.

NOTICE:  All information contained herein is, and remains the property of Databricks, Inc.
and its suppliers, if any.  The intellectual and technical concepts contained herein are
proprietary to Databricks, Inc. and its suppliers and may be covered by U.S. and foreign Patents,
patents in process, and are protected by trade secret and/or copyright law. Dissemination, use,
or reproduction of this information is strictly forbidden unless prior written permission is
obtained from Databricks, Inc.

If you view or obtain a copy of this information and believe Databricks, Inc. may not have
intended it to be made available, please promptly report it to Databricks Legal Department
@ legal@databricks.com.
"""
import builtins
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class ResultOptions(google.protobuf.message.Message):
    """Options to specify how results are returned from an ExecutePlanRequest"""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _Type:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _TypeEnumTypeWrapper(
        google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[ResultOptions._Type.ValueType],
        builtins.type,
    ):  # noqa: F821
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        TYPE_UNSPECIFIED: ResultOptions._Type.ValueType  # 0
        """default to INLINE"""
        TYPE_INLINE: ResultOptions._Type.ValueType  # 1
        """returns the result inline in the response"""
        TYPE_CLOUD: ResultOptions._Type.ValueType  # 2
        """returns the result as a batch of URLs uploaded to the cloud"""

    class Type(_Type, metaclass=_TypeEnumTypeWrapper): ...
    TYPE_UNSPECIFIED: ResultOptions.Type.ValueType  # 0
    """default to INLINE"""
    TYPE_INLINE: ResultOptions.Type.ValueType  # 1
    """returns the result inline in the response"""
    TYPE_CLOUD: ResultOptions.Type.ValueType  # 2
    """returns the result as a batch of URLs uploaded to the cloud"""

    TYPE_FIELD_NUMBER: builtins.int
    type: global___ResultOptions.Type.ValueType
    """optional; the type of the result, whether it should be inline or URLs to results."""
    def __init__(
        self,
        *,
        type: global___ResultOptions.Type.ValueType = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["type", b"type"]) -> None: ...

global___ResultOptions = ResultOptions

class CloudResultBatch(google.protobuf.message.Message):
    """Query result batch stored in a remote URL"""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class Result(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        URL_FIELD_NUMBER: builtins.int
        ROW_COUNT_FIELD_NUMBER: builtins.int
        COMPRESSED_SIZE_FIELD_NUMBER: builtins.int
        UNCOMPRESSED_SIZE_FIELD_NUMBER: builtins.int
        url: builtins.str
        """The URL to the result"""
        row_count: builtins.int
        """The number of rows in the result"""
        compressed_size: builtins.int
        """The size of the results after compression, in bytes"""
        uncompressed_size: builtins.int
        """The size of the results before compression, in bytes
        bytes
        """
        def __init__(
            self,
            *,
            url: builtins.str = ...,
            row_count: builtins.int = ...,
            compressed_size: builtins.int = ...,
            uncompressed_size: builtins.int = ...,
        ) -> None: ...
        def ClearField(
            self,
            field_name: typing_extensions.Literal[
                "compressed_size",
                b"compressed_size",
                "row_count",
                b"row_count",
                "uncompressed_size",
                b"uncompressed_size",
                "url",
                b"url",
            ],
        ) -> None: ...

    RESULTS_FIELD_NUMBER: builtins.int
    @property
    def results(
        self,
    ) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[
        global___CloudResultBatch.Result
    ]:
        """The batch of results that are stored in a remote cloud URL"""
    def __init__(
        self,
        *,
        results: collections.abc.Iterable[global___CloudResultBatch.Result] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["results", b"results"]) -> None: ...

global___CloudResultBatch = CloudResultBatch
